package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Gyeerole;
import com.gyee.frame.model.auto.GyeeroleExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  GyeeroleMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 13:20:51
 */
public interface GyeeroleMapper {
      	   	      	      	      
    long countByExample(GyeeroleExample example);

    int deleteByExample(GyeeroleExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Gyeerole record);

    int insertSelective(Gyeerole record);

    List<Gyeerole> selectByExample(GyeeroleExample example);
		
    Gyeerole selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Gyeerole record, @Param("example") GyeeroleExample example);

    int updateByExample(@Param("record") Gyeerole record, @Param("example") GyeeroleExample example); 
		
    int updateByPrimaryKeySelective(Gyeerole record);

    int updateByPrimaryKey(Gyeerole record);
    
    List<Gyeerole> queryRoleByUserId(String userid);
  	  	
}